Bug 25249 - Not able to see my mails!
Summary: Not able to see my mails!
Status: CLOSED FIXED
Alias: None
Product: kmail
Classification: Applications
Component: general (show other bugs)
Version: 1.1.99
Platform: unspecified Linux
: NOR grave (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2001-05-05 21:48 UTC by Ramakrishnan Kazhiyur-Mannar
Modified: 2007-09-14 12:17 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ramakrishnan Kazhiyur-Mannar 2001-05-05 21:39:21 UTC
(*** This bug was imported into bugs.kde.org ***)

Package: kmail
Version: 1.1.99 (KDE 2.0.1)
Severity: grave
Compiler: gcc version 2.95.2 19991024 (release)
OS: Linux 2.4.0 i686 (SuSE)

hi! 
I am not able to see my mails - whenever I click on a mail the subject turns to No Subject and the sender changes to Unknown. The body has a lot of what looks like HTML code (it's the same for all mails). 

If I close KMail and open again all mails have proper subjects (except the focussed one). But when I change the focus the same thing happens.

In the past I have deleted a few mails thinking they were nothing - now I am worried what I had lost!!
Comment 1 Daniel Naber 2001-05-05 22:07:05 UTC
On Saturday 05 May 2001 23:39 Ramakrishnan Kazhiyur-Mannar wrote:

> =A0=A0=A0I am not able to see my mails - whenever I click on a mail the
> subject turns to No Subject and the sender changes to Unknown. The body
> has a lot of what looks like HTML code (it's the same for all mails).

This sounds like some other program is accessing the files in ~/Mail while=
=20
you are using KMail - this is not possible and can lead to corruption.

But first you should update to KDE 2.1.1 and see if the bug still occurs.

Regards
 Daniel

--=20
Daniel Naber Paul-Gerhardt-Str. 2 33332 Guetersloh Germany
Tel. 05241-59371 Mobil 0170-4819674
Comment 2 Don Sanders 2001-05-06 19:09:48 UTC
On Sunday 06 May 2001 00:07 Daniel Naber wrote:
> On Saturday 05 May 2001 23:39 Ramakrishnan Kazhiyur-Mannar wrote:
> >    I am not able to see my mails - whenever I click on a mail the
> > subject turns to No Subject and the sender changes to Unknown. The body
> > has a lot of what looks like HTML code (it's the same for all mails).
>
> This sounds like some other program is accessing the files in ~/Mail while
> you are using KMail - this is not possible and can lead to corruption.
>
> But first you should update to KDE 2.1.1 and see if the bug still occurs.

I recommend backing up the ~/Mail directory immediately. 

Removing all .*.index in the ~/Mail directory will cause KMail's list of 
messages to be resync'd with the mbox files.

It does sound like another program besides KMail modified files in the ~/Mail 
directory while KMail was running. (Or modified files and forced the date 
stamp to remain unchanged).

Don.
Comment 3 Don Sanders 2001-05-07 13:21:18 UTC
unless there is some evidence to the contrary.